function barmsem( xaxis, yvalues, barcolor, barwidth, edgecolor, edgewidth, alpha, errlinecolor, errlinewidth)
%barmsem plots mean bars +/- sem line segments

if nargin < 9
    if nargin < 8
        if nargin< 7
            if nargin< 6
                if nargin < 5
                    if nargin<4
                        if nargin<3
                            barcolor=[.5 .5 .5];
                        end
                        barwidth=.3;
                    end
                    edgecolor='none';
                end
                edgewidth=1;
            end
            alpha=1;
        end
        errlinecolor=max(barcolor-.5,0);
    end
    errlinewidth=1;
end

if ischar(barcolor)
    barcolor=rem(floor((strfind('kbgcrmyw',barcolor)-1)*[.25 .5 1]),2);
    errlinecolor=max(barcolor-.5,0);
end
%if ischar(edgecolor)
%    edgecolor=rem(floor((strfind('kbgcrmyw',edgecolor)-1)*[.25 .5 1]),2);
%end

if ~isvector(xaxis)
    error('x-axis vector has to be 1D.');
end
if ~ismatrix(yvalues)
        error('y-values matrix has to be 2D.');
end

if ~any(size(yvalues)==length(xaxis))
    error('x-axis and y-values must have equal size along 1D (at least).');
end

% force xaxis and yvalues to have same number of columns (not rows)
if size(yvalues,1)~=length(xaxis)
    yvalues=yvalues';  
end

% mean and sem are computed along rows 
meanyv=nanmean(yvalues,2)';
semyv=nansem(yvalues,2)';

bar(xaxis,meanyv,barwidth,'FaceColor',barcolor,'EdgeColor',edgecolor,'LineWidth',edgewidth,'FaceAlpha',alpha); hold on;
errorbar(xaxis,meanyv,semyv,'.','Color',errlinecolor,'linewidth',errlinewidth);


end

