function clearstring = clearoutmem( varname )
% CREAROUTMEM permanently kicks out your variables from workspace and memory
%             drastically improves memory usage at runtime, ideal for dummy variables
% USAGE:    eval(clearoutmem('a'))   clears vars whose name is 'a'
%           eval(clearoutmem('a*'))  clears vars whose name starts with 'a'
%           eval(clearoutmem('*a'))  clears vars whose name ends with 'a'
%           eval(clearoutmem('*a*')) clears vars whose name starts & ends with 'a'

if strcmp(varname(1),'*') && strcmp(varname(end),'*')
    clearstring=['clear -regexp (?:' varname(2:end-1) ')'];
elseif strcmp(varname(end),'*')
    clearstring=['clear -regexp (?:^' varname(1:end-1) ')'];
elseif strcmp(varname(1),'*')
    clearstring=['clear -regexp (?:' varname(2:end) '$)'];
else
    clearstring=['clear -regexp (?:' varname ')'];
end

end

