function clearstring = clearoutmemexcept( varname )
% CREAROUTMEMEXCEPT permanently kicks out your variables from workspace and memory
%                   drastically improves memory usage at runtime, ideal for dummy variables
% USAGE:    eval(clearoutmem('a'))   clears all vars except the ones whose name is 'a'
%           eval(clearoutmem('a*'))  clears all vars except the ones whose name starts with 'a'
%           eval(clearoutmem('*a'))  clears all vars except the ones whose name ends with 'a'
%           eval(clearoutmem('*a*')) clears all vars except the ones whose name starts & ends with 'a'

if strcmp(varname(1),'*') && strcmp(varname(end),'*')
    error('unsupported by now, would you type some code?');
    clearstring=['clear -regexp ^(?!' varname(2:end-1) ')\w*']; % 
elseif strcmp(varname(end),'*')
    clearstring=['clear -regexp \<(?!' varname(1:end-1) ')\w*']; % works
elseif strcmp(varname(1),'*')
    error('unsupported by now, would you type some code?');
    clearstring=['clear -regexp (?!' varname '\>)\w*']; % 
else % varname is within
    clearstring=['clear -regexp \<(?!' varname '\>)\w*']; % works
end

end
