function cmap=getdivergentcolmap(varargin)

if nargin > 0
    colormat=varargin{1}; 
    if nargin > 1
        csgrad=varargin{2};
    else
        csgrad=[64 128 128 64]; 
    end
else
    colormat=[0 0 127; 0 0 255; 255 255 255; 255 0 0; 127 0 0]./255;
    csgrad=[64 128 128 64];
end

if size(colormat,1)~=5 || size(colormat,2)~=3
    error('color matrix has to contain exactly 5 rows with 3 RGB columns.');
end
if length(csgrad)~=4
    error('color gradient vector has to contain exactly 4 values');
end

col1=colormat(1,:);
col2=colormat(2,:);
col3=colormat(3,:);
col4=colormat(4,:);
col5=colormat(5,:);

cmap=[linspace(col1(1),col2(1),csgrad(1))' linspace(col1(2),col2(2),csgrad(1))' linspace(col1(3),col2(3),csgrad(1))'; ...
      linspace(col2(1),col3(1),csgrad(2))' linspace(col2(2),col3(2),csgrad(2))' linspace(col2(3),col3(3),csgrad(2))'; ...
      linspace(col3(1),col4(1),csgrad(3))' linspace(col3(2),col4(2),csgrad(3))' linspace(col3(3),col4(3),csgrad(3))'; ...
      linspace(col4(1),col5(1),csgrad(4))' linspace(col4(2),col5(2),csgrad(4))' linspace(col4(3),col5(3),csgrad(4))'];

end