function [ERS] = meanratio2ratiomean_first_order_approx(R,S)
%MEAN_OF_RATIO 
%this function approximates the mean of a ratio to the ratio of means.
%
% E(R/S) ≈ muR/muS - COV(R,S)/(muS^2) +VAR(S)*muR/(muS^3)

muR=nanmean(R);
muS=nanmean(S);
SIGRS=cov(R,S);

ERS= muR/muS - SIGRS(1,2)/(muS^2) + (var(S))*muR/(muS^3);


end

