function  qqplot_customDist(xv,qv,varargin)
%QQPLOT_CUSTOMDIST Summary of this function goes here
%
% quick way to invert cdfv is: 
% if function can only be numerically evaluated use:   icdfv=interp1(cdfv,xv,qv)
% if function handle @(x) cdf(x) is known use:  icdfv=fzero(@(x) cdfv(x)-qv, xv)

if nargin>=3
    icdfv=varargin{1};
    if nargin==4
        colrgb=varargin{2};
    else
        colrgb='r';
    end
else
    icdfv=norminv(qv,nanmean(xv),nanstd(xv));
end

uicdfv=icdfv; uxv=xv;

if any(diff(icdfv))==0
    [uicdfv,ui]=unique(icdfv);
    uxv=xv(ui);
end

uxv=sort(uxv);
uqd=quantile(uxv,qv);

plot(uicdfv,uqd,'.','color',colrgb,'markersize',4); hold on;
plot([min(uicdfv) max(uicdfv)],[min(uicdfv) max(uicdfv)],'k-');

title('Quantile-Quantile plot of empirical data vs test theoretical distribution');
xlabel('Quantiles from test theoretical CDF');
ylabel('Quantiles from empirical data CDF');
end

