function [ERES] = ratiomean2meanratio_first_order_approx(R,S)
%MEAN_OF_RATIO 
%this function approximates the mean of a ratio to the ratio of means.
%
% muR/muS ≈ E(R/S) + COV(R,S)/(muS^2) - VAR(S)*muR/(muS^3)

muR=nanmean(R);
muS=nanmean(S);
SIGRS=cov(R,S);

ERES= mean(R/S) - SIGRS(1,2)/(muS^2) + (var(S))*muR/(muS^3);


end

