function subjectInfos=getSubjectInfos(sSubjectName)

% gets all of the informations you may need for the subject you want to inspect.
%
% subjectName, penIDs,  subjectInfos.penInfos
% Wyman        288      V1.Channels, V4.Channels, V1.ChRejected, V4.ChRejected, V1.Quality, V4.Quality, eventFileName, ctxFileName, lfpFilePath, cscFilePath
%              ...      ...
%              323      ...
%
% Taylor       1        ...
%              ...      ...
%              33       V1.Channels, V4.Channels, V1.ChRejected, V4.ChRejected, V1.Quality, V4.Quality, eventFileName, ctxFileName, lfpFilePath, cscFilePath

if ~sum(cellfun(@(x) strcmp(sSubjectName,x),{'Wyman','Taylor','monkey 1','monkey 2'}))
    error(['The selected Subject Name "' sSubjectName '" is not valid.']);
elseif strcmpi(sSubjectName,'Wyman'); sSubjectName='monkey 1'; 
elseif strcmpi(sSubjectName,'Taylor'); sSubjectName='monkey 2'; 
end

startPath='../Data/';

switch sSubjectName
        
    case 'monkey 1'
        
        subjectInfos.subjectName='Wyman';
        subjectInfos.penIDs=[288:293 295:323];
        subjectInfos.grcIDs=[145 148 150 152:154 157 158 160 163 165 166 167 169 170:172 174:177 179 180 181 183 186 187 189 190:192 194:197];
        subjectInfos.ctxIDs=160120+[1 2 6:9 83:85 89:92 96:99 103:106 181:184 195:196 285:288 292:295];
        
        
        %% DATE-TIME AND V1-V4 DEPTHS (Manually selected from CSDs)
        subjectInfos.penInfos(1).dateTime='2016-04-22_15-29-16'; % PEN 288
        subjectInfos.penInfos(1).V1Contacts.Depths=-1.2313+.15*(0:15);
        subjectInfos.penInfos(1).V4Contacts.Depths=-0.4312+.15*(0:15);
        subjectInfos.penInfos(2).dateTime='2016-04-06_14-54-03'; % PEN 289
        % MAYBE BETTER ALIGNMENT FOR PEN 289
        subjectInfos.penInfos(2).V1Contacts.Depths=-1.5813+.15*(0:15);
        %subjectInfos.penInfos(2).V1Contacts.Depths=-0.8812+.15*(0:15);
        subjectInfos.penInfos(2).V4Contacts.Depths=-0.8187+.15*(0:15);
        subjectInfos.penInfos(3).dateTime='2016-04-07_13-09-47'; % PEN 290
        subjectInfos.penInfos(3).V1Contacts.Depths=-1.3687+.15*(0:15);
        subjectInfos.penInfos(3).V4Contacts.Depths=-1.1937+.15*(0:15);
        subjectInfos.penInfos(4).dateTime='2016-04-08_15-33-57'; % PEN 291
        subjectInfos.penInfos(4).V1Contacts.Depths=-1.3438+.15*(0:15);
        subjectInfos.penInfos(4).V4Contacts.Depths=-0.6437+.15*(0:15);
        subjectInfos.penInfos(5).dateTime='2016-04-11_10-01-05'; % PEN 292
        subjectInfos.penInfos(5).V1Contacts.Depths=-1.8218+.15*(0:15);
        subjectInfos.penInfos(5).V4Contacts.Depths=-1.3562+.15*(0:15);
        subjectInfos.penInfos(6).dateTime='2016-04-11_14-22-23'; % PEN 293
        subjectInfos.penInfos(6).V1Contacts.Depths=-1.8562+.15*(0:15);
        subjectInfos.penInfos(6).V4Contacts.Depths=-0.8187+.15*(0:15);
        subjectInfos.penInfos(7).dateTime='2016-05-09_11-21-17'; % PEN 295
        % MAYBE BETTER ALIGNMENT FOR PEN 295
        % subjectInfos.penInfos(7).V1Contacts.Depths=-1.3437+.15*(0:15);
        subjectInfos.penInfos(7).V1Contacts.Depths=-1.8437+.15*(0:15);
        subjectInfos.penInfos(7).V4Contacts.Depths=-1.0062+.15*(0:15);
        subjectInfos.penInfos(8).dateTime='2016-04-12_09-30-14'; % PEN 296
        subjectInfos.penInfos(8).V1Contacts.Depths=-1.5062+.15*(0:15);
        subjectInfos.penInfos(8).V4Contacts.Depths=-0.8687+.15*(0:15);
        subjectInfos.penInfos(9).dateTime='2016-04-12_17-14-48'; % PEN 297
        subjectInfos.penInfos(9).V1Contacts.Depths=-1.2568+.15*(0:15);
        subjectInfos.penInfos(9).V4Contacts.Depths=-0.9438+.15*(0:15);
        subjectInfos.penInfos(10).dateTime='2016-04-13_10-07-56'; % PEN 298
        subjectInfos.penInfos(10).V1Contacts.Depths=[];
        subjectInfos.penInfos(10).V4Contacts.Depths=-0.8813+.15*(0:15);
        subjectInfos.penInfos(11).dateTime='2016-04-13_13-51-50'; % PEN 299
        subjectInfos.penInfos(11).V1Contacts.Depths=-1.6812+.15*(0:15);
        subjectInfos.penInfos(11).V4Contacts.Depths=-0.9687+.15*(0:15);
        subjectInfos.penInfos(12).dateTime='2016-04-14_08-11-50'; % PEN 300
        % MAYBE BETTER ALIGNMENT FOR PEN 300
        % subjectInfos.penInfos(12).V1Contacts.Depths=-0.7169+.15*(0:15);
        subjectInfos.penInfos(12).V1Contacts.Depths=-1.5169+.15*(0:15);
        subjectInfos.penInfos(12).V4Contacts.Depths=-1.2438+.15*(0:15);
        subjectInfos.penInfos(13).dateTime='2016-04-17_19-39-40'; % PEN 301
        subjectInfos.penInfos(13).V1Contacts.Depths=-1.6614+.15*(0:15);
        subjectInfos.penInfos(13).V4Contacts.Depths=-1.0813+.15*(0:15);
        subjectInfos.penInfos(14).dateTime='2016-04-18_10-46-29'; % PEN 302
        subjectInfos.penInfos(14).V1Contacts.Depths=-1.4075+.15*(0:15);
        subjectInfos.penInfos(14).V4Contacts.Depths=-1.1063+.15*(0:15);
        subjectInfos.penInfos(15).dateTime='2016-05-09_13-52-17'; % PEN 303
        subjectInfos.penInfos(15).V1Contacts.Depths=-1.7312+.15*(0:15);
        subjectInfos.penInfos(15).V4Contacts.Depths=-1.0559+.15*(0:15);
        subjectInfos.penInfos(16).dateTime='2016-04-18_14-07-37'; % PEN 304
        subjectInfos.penInfos(16).V1Contacts.Depths=-1.5437+.15*(0:15);
        subjectInfos.penInfos(16).V4Contacts.Depths=-0.8062+.15*(0:15);
        subjectInfos.penInfos(17).dateTime='2016-04-18_20-54-23'; % PEN 305
        subjectInfos.penInfos(17).V1Contacts.Depths=-0.7653+.15*(0:15);
        subjectInfos.penInfos(17).V4Contacts.Depths=-0.8937+.15*(0:15);
        subjectInfos.penInfos(18).dateTime='2016-04-19_16-39-04'; % PEN 306
        subjectInfos.penInfos(18).V1Contacts.Depths=-0.9312+.15*(0:15);
        subjectInfos.penInfos(18).V4Contacts.Depths=-0.6937+.15*(0:15);
        subjectInfos.penInfos(19).dateTime='2016-04-20_09-02-43'; % PEN 307
        subjectInfos.penInfos(19).V1Contacts.Depths=-0.8562+.15*(0:15);
        subjectInfos.penInfos(19).V4Contacts.Depths=-0.6437+.15*(0:15);
        subjectInfos.penInfos(20).dateTime='2016-04-20_12-41-43'; % PEN 308
        subjectInfos.penInfos(20).V1Contacts.Depths=-1.4312+.15*(0:15);
        subjectInfos.penInfos(20).V4Contacts.Depths=-1.0188+.15*(0:15);
        subjectInfos.penInfos(21).dateTime='2016-04-20_12-46-41'; % PEN 309
        subjectInfos.penInfos(21).V1Contacts.Depths=-1.3938+.15*(0:15);
        subjectInfos.penInfos(21).V4Contacts.Depths=-0.6313+.15*(0:15);
        subjectInfos.penInfos(22).dateTime='2016-04-20_13-29-49'; % PEN 310
        subjectInfos.penInfos(22).V1Contacts.Depths=-1.5188+.15*(0:15);
        subjectInfos.penInfos(22).V4Contacts.Depths=-0.7812+.15*(0:15);
        subjectInfos.penInfos(23).dateTime='2016-04-20_16-25-45'; % PEN 311
        % MAYBE BETTER ALIGNMENT FOR PEN 311
        %subjectInfos.penInfos(23).V1Contacts.Depths=-1.0813+.15*(0:15);
        subjectInfos.penInfos(23).V1Contacts.Depths=-1.4813+.15*(0:15);
        subjectInfos.penInfos(23).V4Contacts.Depths=-0.1562+.15*(0:15);
        subjectInfos.penInfos(24).dateTime='2016-04-21_11-39-33'; % PEN 312
        subjectInfos.penInfos(24).V1Contacts.Depths=-1.2688+.15*(0:15);
        subjectInfos.penInfos(24).V4Contacts.Depths=-0.8062+.15*(0:15);
        subjectInfos.penInfos(25).dateTime='2016-04-21_11-44-38'; % PEN 313
        % MAYBE BETTER ALIGNMENT FOR PEN 311
        % subjectInfos.penInfos(25).V1Contacts.Depths=-1.1937+.15*(0:15);
        subjectInfos.penInfos(25).V1Contacts.Depths=-1.3937+.15*(0:15);
        subjectInfos.penInfos(25).V4Contacts.Depths=-0.5562+.15*(0:15);
        subjectInfos.penInfos(26).dateTime='2016-04-18_21-06-04'; % PEN 314
        subjectInfos.penInfos(26).V1Contacts.Depths=-1.7062+.15*(0:15);
        subjectInfos.penInfos(26).V4Contacts.Depths=-0.6312+.15*(0:15);
        subjectInfos.penInfos(27).dateTime='2016-04-18_16-48-16'; % PEN 315
        subjectInfos.penInfos(27).V1Contacts.Depths=-1.5937+.15*(0:15);
        subjectInfos.penInfos(27).V4Contacts.Depths=-0.7312+.15*(0:15);
        subjectInfos.penInfos(28).dateTime='2016-04-11_10-56-56'; % PEN 316
        subjectInfos.penInfos(28).V1Contacts.Depths=-1.7062+.15*(0:15);
        subjectInfos.penInfos(28).V4Contacts.Depths=-0.7937+.15*(0:15);
        subjectInfos.penInfos(29).dateTime='2016-04-06_15-12-45'; % PEN 317
        subjectInfos.penInfos(29).V1Contacts.Depths=-1.1187+.15*(0:15);
        subjectInfos.penInfos(29).V4Contacts.Depths=-0.8299+.15*(0:15);
        subjectInfos.penInfos(30).dateTime='2016-04-11_12-42-31'; % PEN 318
        subjectInfos.penInfos(30).V1Contacts.Depths=-0.6813+.15*(0:15);
        subjectInfos.penInfos(30).V4Contacts.Depths=-1.5188+.15*(0:15);
        subjectInfos.penInfos(31).dateTime='2016-04-12_18-18-03'; % PEN 319
        subjectInfos.penInfos(31).V1Contacts.Depths=-1.2562+.15*(0:15);
        subjectInfos.penInfos(31).V4Contacts.Depths=-0.5437+.15*(0:15);
        subjectInfos.penInfos(32).dateTime='2016-04-19_16-44-44'; % PEN 320
        subjectInfos.penInfos(32).V1Contacts.Depths=-1.7312+.15*(0:15);
        subjectInfos.penInfos(32).V4Contacts.Depths=-1.0188+.15*(0:15);
        subjectInfos.penInfos(33).dateTime='2016-04-20_12-32-04'; % PEN 321
        % MAYBE BETTER ALIGNMENT FOR PEN 321
        % subjectInfos.penInfos(33).V1Contacts.Depths=-1.5562+.15*(0:15);
        subjectInfos.penInfos(33).V1Contacts.Depths=-1.7562+.15*(0:15);
        subjectInfos.penInfos(33).V4Contacts.Depths=-1.0687+.15*(0:15);
        subjectInfos.penInfos(34).dateTime='2016-04-21_11-22-21'; % PEN 322
        subjectInfos.penInfos(34).V1Contacts.Depths=-1.4937+.15*(0:15);
        subjectInfos.penInfos(34).V4Contacts.Depths=-0.8687+.15*(0:15);
        subjectInfos.penInfos(35).dateTime='2016-04-21_12-50-47'; % PEN 323
        % MAYBE BETTER ALIGNMENT FOR PEN 323
        % subjectInfos.penInfos(35).V1Contacts.Depths=-0.8187+.15*(0:15);
        subjectInfos.penInfos(35).V1Contacts.Depths=-1.6187+.15*(0:15);
        subjectInfos.penInfos(35).V4Contacts.Depths=-1.0562+.15*(0:15);
        
        
        %% DEFAULT FORMAT INITIALIZATION
        for jj=1:length(subjectInfos.penIDs)
            subjectInfos.penInfos(jj).penNum=subjectInfos.penIDs(jj);
            subjectInfos.penInfos(jj).grcNum=subjectInfos.grcIDs(jj);
            subjectInfos.penInfos(jj).V1Contacts.Channels=1:16;
            subjectInfos.penInfos(jj).V4Contacts.Channels=17:32;
            subjectInfos.penInfos(jj).V1Contacts.ChRejected=[];
            subjectInfos.penInfos(jj).V1Contacts.ChSNRLowEq3=[];
            subjectInfos.penInfos(jj).V4Contacts.ChRejected=[];
            subjectInfos.penInfos(jj).V4Contacts.ChSNRLowEq3=[];
            subjectInfos.penInfos(jj).V1Contacts.Quality='OK';
            subjectInfos.penInfos(jj).V4Contacts.Quality='OK';
            
            %% ORIGINAL FILENAMES (DEPRECATED)
            %subjectInfos.penInfos(jj).originalFilePaths.lfpFilePath=[startPath1 'wyman/pen' num2str(subjectInfos.penIDs(jj)) '/NLX_control/' subjectInfos.penInfos(jj).dateTime '/'];
            %subjectInfos.penInfos(jj).originalFilePaths.ctxFileName=[startPath1 'wyman/pen' num2str(subjectInfos.penIDs(jj)) '/Cortex/' num2str(subjectInfos.ctxIDs(jj)) '/GRCJDRU1.' num2str(subjectInfos.grcIDs(jj))];
            %subjectInfos.penInfos(jj).originalFilePaths.eventFileName=[subjectInfos.penInfos(jj).originalFilePaths.lfpFilePath 'Events.nev'];
            %subjectInfos.penInfos(jj).originalFilePaths.cscFilePath=[startPath1 'wyman/pen' num2str(subjectInfos.penIDs(jj)) '/NLX_control/gratc/'];
            
            %% SELECTED TIME WINS FILE PATHS
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V1Contacts.LFPs=[startPath 'M1 V1 - LFP/Wyman_V1_LFP_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V4Contacts.LFPs=[startPath 'M1 V4 - LFP/Wyman_V4_LFP_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V1Contacts.MUAs=[startPath 'M1 V1 - MUA/Wyman_V1_MUA_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V4Contacts.MUAs=[startPath 'M1 V4 - MUA/Wyman_V4_MUA_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            
            %% LAMINAR LAYER LABELS ASSIGNMENT
            if  ~isempty(subjectInfos.penInfos(jj).V1Contacts.Depths)
                [~,minV1Ch]=min((subjectInfos.penInfos(jj).V1Contacts.Depths).^2);
                subjectInfos.penInfos(jj).V1Contacts.LaminarAlignments=(1:16)-minV1Ch;
            end
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers((subjectInfos.penInfos(jj).V1Contacts.Depths>1))={'TS'}; % TOO SUPERFICIAL
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>.25).*(subjectInfos.penInfos(jj).V1Contacts.Depths<=1)))={'S'};  % SUPRAGRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>=-.25).*(subjectInfos.penInfos(jj).V1Contacts.Depths<=.25)))={'G'}; % GRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>=-.75).*(subjectInfos.penInfos(jj).V1Contacts.Depths<-.25)))={'I'}; % INFRAGRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers((subjectInfos.penInfos(jj).V1Contacts.Depths<-.75))={'TD'}; % TOO DEEP
            subjectInfos.penInfos(jj).V1Contacts.SelectedChs=subjectInfos.penInfos(jj).V1Contacts.Channels;
            
            if  ~isempty(subjectInfos.penInfos(jj).V4Contacts.Depths)
                [~,minV4Ch]=min((subjectInfos.penInfos(jj).V4Contacts.Depths).^2);
                subjectInfos.penInfos(jj).V4Contacts.LaminarAlignments=(1:16)-minV4Ch;
            end
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers((subjectInfos.penInfos(jj).V4Contacts.Depths>1))={'TS'}; % TOO SUPERFICIAL
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>.1).*(subjectInfos.penInfos(jj).V4Contacts.Depths<=1)))={'S'};  % SUPRAGRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>=-.1).*(subjectInfos.penInfos(jj).V4Contacts.Depths<=.1)))={'G'}; % GRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>=-.75).*(subjectInfos.penInfos(jj).V4Contacts.Depths<-.1)))={'I'}; % INFRAGRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers((subjectInfos.penInfos(jj).V4Contacts.Depths<-.75))={'TD'}; % TOO DEEP
            subjectInfos.penInfos(jj).V4Contacts.SelectedChs=subjectInfos.penInfos(jj).V4Contacts.Channels;
        end
        
        %% COLOR ORDERS [RF, OUT1, OUT2]
        subjectInfos.penInfos(1).grcColorOrder='BRG'; % PEN 288
        subjectInfos.penInfos(2).grcColorOrder='RGB'; % PEN 289
        subjectInfos.penInfos(3).grcColorOrder='RBG'; % PEN 290
        subjectInfos.penInfos(4).grcColorOrder='GRB'; % PEN 291
        subjectInfos.penInfos(5).grcColorOrder='GBR'; % PEN 292
        subjectInfos.penInfos(6).grcColorOrder='BGR'; % PEN 293
        subjectInfos.penInfos(7).grcColorOrder='BRG'; % PEN 295
        subjectInfos.penInfos(8).grcColorOrder='RGB'; % PEN 296
        subjectInfos.penInfos(9).grcColorOrder='RBG'; % PEN 297
        subjectInfos.penInfos(10).grcColorOrder='GRB'; % PEN 298
        subjectInfos.penInfos(11).grcColorOrder='GBR'; % PEN 299
        subjectInfos.penInfos(12).grcColorOrder='BGR'; % PEN 300
        subjectInfos.penInfos(13).grcColorOrder='BRG'; % PEN 301
        subjectInfos.penInfos(14).grcColorOrder='RGB'; % PEN 302
        subjectInfos.penInfos(15).grcColorOrder='RBG'; % PEN 303
        subjectInfos.penInfos(16).grcColorOrder='GRB'; % PEN 304
        subjectInfos.penInfos(17).grcColorOrder='GBR'; % PEN 305
        subjectInfos.penInfos(18).grcColorOrder='BRG'; % PEN 306
        subjectInfos.penInfos(19).grcColorOrder='RGB'; % PEN 307
        subjectInfos.penInfos(20).grcColorOrder='RBG'; % PEN 308
        subjectInfos.penInfos(21).grcColorOrder='GRB'; % PEN 309
        subjectInfos.penInfos(22).grcColorOrder='BGR'; % PEN 310
        subjectInfos.penInfos(23).grcColorOrder='BRG'; % PEN 311
        subjectInfos.penInfos(24).grcColorOrder='RGB'; % PEN 312
        subjectInfos.penInfos(25).grcColorOrder='RBG'; % PEN 313
        subjectInfos.penInfos(26).grcColorOrder='GRB'; % PEN 314
        subjectInfos.penInfos(27).grcColorOrder='GBR'; % PEN 315
        subjectInfos.penInfos(28).grcColorOrder='BGR'; % PEN 316
        subjectInfos.penInfos(29).grcColorOrder='BRG'; % PEN 317
        subjectInfos.penInfos(30).grcColorOrder='RGB'; % PEN 318
        subjectInfos.penInfos(31).grcColorOrder='RBG'; % PEN 319
        subjectInfos.penInfos(32).grcColorOrder='GRB'; % PEN 320
        subjectInfos.penInfos(33).grcColorOrder='GBR'; % PEN 321
        subjectInfos.penInfos(34).grcColorOrder='BGR'; % PEN 322
        subjectInfos.penInfos(35).grcColorOrder='BRG'; % PEN 323
        
        %% CHANNEL RE-ARRANGEMENT/REJECTION ISSUES
        
        subjectInfos.penInfos(1).V1Contacts.ChSNRLowEq3=[15,16]; % PEN 288
        subjectInfos.penInfos(1).V4Contacts.ChSNRLowEq3=12;
        subjectInfos.penInfos(2).V1Contacts.ChSNRLowEq3=16; % 289
        subjectInfos.penInfos(2).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(3).V1Contacts.ChSNRLowEq3=[1,15,16]; % 290
        subjectInfos.penInfos(4).V1Contacts.Quality='BAD'; % PEN 291
        subjectInfos.penInfos(4).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(4).V1Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(5).V1Contacts.ChRejected=3; % PEN 292
        subjectInfos.penInfos(5).V1Contacts.ChSNRLowEq3=[1,2];
        subjectInfos.penInfos(5).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(6).V1Contacts.ChSNRLowEq3=[1,2]; % PEN 293
        subjectInfos.penInfos(7).V1Contacts.ChSNRLowEq3=[1,2,15]; % PEN 295
        subjectInfos.penInfos(7).V4Contacts.ChSNRLowEq3=11;
        subjectInfos.penInfos(8).V1Contacts.Quality='UNCERTAIN'; % PEN 296
        subjectInfos.penInfos(8).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(9).V1Contacts.ChRejected=7; % PEN 297
        subjectInfos.penInfos(9).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(10).V1Contacts.Channels=[]; % PEN 298
        subjectInfos.penInfos(10).V1Contacts.Quality='NO V1 DATA'; % PEN 298
        subjectInfos.penInfos(10).V4Contacts.Quality='BAD'; 
        subjectInfos.penInfos(10).V4Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(11).V4Contacts.ChSNRLowEq3=[14,15,16]; % PEN 299
        subjectInfos.penInfos(12).V1Contacts.ChRejected=7; % PEN 300
        subjectInfos.penInfos(12).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(12).V1Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(12).V4Contacts.ChSNRLowEq3=11;
        subjectInfos.penInfos(13).V1Contacts.ChRejected=[7 11]; % PEN 301
        subjectInfos.penInfos(13).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(13).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(14).V1Contacts.ChRejected=7; % PEN 302
        subjectInfos.penInfos(14).V1Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(14).V4Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(14).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(15).V4Contacts.Quality='BAD'; % PEN 303
        subjectInfos.penInfos(15).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(15).V4Contacts.ChRejected=11;
        subjectInfos.penInfos(15).V4Contacts.ChSNRLowEq3=[2,5,8,9,12];
        subjectInfos.penInfos(16).V4Contacts.Quality='UNCERTAIN'; % PEN 304
        subjectInfos.penInfos(16).V1Contacts.ChSNRLowEq3=[6,15,16];
        subjectInfos.penInfos(16).V4Contacts.ChSNRLowEq3=[2,12,14,15,16];
        subjectInfos.penInfos(17).V1Contacts.ChRejected=[3 7]; % PEN 305
        subjectInfos.penInfos(17).V1Contacts.Quality='BAD';
        subjectInfos.penInfos(17).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(17).V1Contacts.ChSNRLowEq3=[1,15,16];
        subjectInfos.penInfos(17).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(18).V1Contacts.ChSNRLowEq3=[1,3,15,16]; % PEN 306
        subjectInfos.penInfos(18).V4Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(19).V1Contacts.ChSNRLowEq3=[1,2,12,13,14,15,16]; % PEN 307
        subjectInfos.penInfos(19).V4Contacts.ChSNRLowEq3=[14,15,16];
        subjectInfos.penInfos(20).V1Contacts.ChSNRLowEq3=16; % PEN 308
        subjectInfos.penInfos(20).V4Contacts.ChSNRLowEq3=[1,15,16];
        subjectInfos.penInfos(21).V1Contacts.Quality='BAD'; % PEN 309
        subjectInfos.penInfos(21).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(21).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(21).V4Contacts.ChSNRLowEq3=[12,13,14,15,16];
        subjectInfos.penInfos(22).V1Contacts.ChSNRLowEq3=[15,16]; % PEN 310
        subjectInfos.penInfos(22).V4Contacts.ChSNRLowEq3=[10,12,14,15,16];
        subjectInfos.penInfos(23).V1Contacts.ChSNRLowEq3=[1,16]; % PEN 311
        subjectInfos.penInfos(23).V4Contacts.ChSNRLowEq3=[13,14,15,16];
        subjectInfos.penInfos(24).V1Contacts.ChSNRLowEq3=[14,15,16]; % PEN 312
        subjectInfos.penInfos(25).V1Contacts.ChSNRLowEq3=[2,3,14,15,16]; % PEN 313
        subjectInfos.penInfos(25).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(26).V1Contacts.ChSNRLowEq3=[11,16]; % PEN 314
        subjectInfos.penInfos(26).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(27).V1Contacts.Quality='UNCERTAIN'; % PEN 315
        subjectInfos.penInfos(27).V1Contacts.ChSNRLowEq3=[1,2,4,9,10,13,14,15,16];
        subjectInfos.penInfos(27).V4Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(28).V1Contacts.Quality='UNCERTAIN'; % PEN 316
        subjectInfos.penInfos(28).V1Contacts.ChSNRLowEq3=[1,3,4,5,7,8,13,14,15,16];
        subjectInfos.penInfos(28).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(29).V4Contacts.ChRejected=10; % PEN 317
        subjectInfos.penInfos(29).V1Contacts.ChSNRLowEq3=[2,4,15,16];
        subjectInfos.penInfos(29).V4Contacts.ChSNRLowEq3=[14,15,16];
        subjectInfos.penInfos(30).V1Contacts.Quality='BAD'; % PEN 318
        subjectInfos.penInfos(30).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(30).V1Contacts.ChSNRLowEq3=[2,15,16];
        subjectInfos.penInfos(30).V4Contacts.ChSNRLowEq3=[14,15,16];
        subjectInfos.penInfos(31).V1Contacts.ChSNRLowEq3=16; % PEN 319
        subjectInfos.penInfos(31).V4Contacts.ChSNRLowEq3=[8,15,16];
        subjectInfos.penInfos(32).V1Contacts.ChSNRLowEq3=16; % PEN 320
        subjectInfos.penInfos(32).V4Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(33).V1Contacts.ChSNRLowEq3=[1,16]; % PEN 321
        subjectInfos.penInfos(34).V1Contacts.ChSNRLowEq3=[1,2,3,4,5,14,15,16]; % PEN 322
        subjectInfos.penInfos(34).V4Contacts.ChSNRLowEq3=[6,7,10,11,15,16];
        subjectInfos.penInfos(35).V1Contacts.ChSNRLowEq3=[1,16]; % PEN 323
        subjectInfos.penInfos(35).V4Contacts.ChSNRLowEq3=16;
        
        for jj=1:length(subjectInfos.penIDs)
            subjectInfos.penInfos(jj).V1Contacts.SelectedChs=subjectInfos.penInfos(jj).V1Contacts.Channels;
            if ~isempty(subjectInfos.penInfos(jj).V1Contacts.SelectedChs)
            subjectInfos.penInfos(jj).V1Contacts.SelectedChs(unique([find(subjectInfos.penInfos(jj).V1Contacts.Depths<=-.75 | subjectInfos.penInfos(jj).V1Contacts.Depths>=1) ...
                subjectInfos.penInfos(jj).V1Contacts.ChSNRLowEq3 subjectInfos.penInfos(jj).V1Contacts.ChRejected]))=[];
            end
            subjectInfos.penInfos(jj).V4Contacts.SelectedChs=subjectInfos.penInfos(jj).V4Contacts.Channels;
            if ~isempty(subjectInfos.penInfos(jj).V4Contacts.SelectedChs)
            subjectInfos.penInfos(jj).V4Contacts.SelectedChs(unique([find(subjectInfos.penInfos(jj).V4Contacts.Depths<=-.75 | subjectInfos.penInfos(jj).V4Contacts.Depths>=1) ...
                subjectInfos.penInfos(jj).V4Contacts.ChSNRLowEq3 subjectInfos.penInfos(jj).V4Contacts.ChRejected]))=[];
            end
        end
        
    case 'monkey 2'
        
        subjectInfos.subjectName='Taylor';
        subjectInfos.penIDs=[1:12 14:33];
        subjectInfos.grcIDs=[22 23 26 28 29 31:34 36 38 39 44 45 47 49 50 51 53:55 59 67 69:71 73 74 76:79];
        subjectInfos.ctxIDs=[];
        
        %% DATE-TIME AND V1-V4 DEPTHS (Manually selected from CSDs)
        subjectInfos.penInfos(1).dateTime='2017-08-10_17-51-02'; % PEN 1
        subjectInfos.penInfos(1).V1Contacts.Depths=-0.8645+.15*(0:15);
        subjectInfos.penInfos(1).V4Contacts.Depths=-1+.15*(0:15); % 
        subjectInfos.penInfos(2).dateTime='2017-08-14_10-09-28'; % PEN 2
        subjectInfos.penInfos(2).V1Contacts.Depths=-0.6852+.15*(0:15);
        subjectInfos.penInfos(2).V4Contacts.Depths=[]; %  
        subjectInfos.penInfos(3).dateTime='2017-08-16_16-36-23'; % PEN 3
        subjectInfos.penInfos(3).V1Contacts.Depths=-1.0469+.15*(0:15);
        subjectInfos.penInfos(3).V4Contacts.Depths=-0.0063+.15*(0:15); % 
        subjectInfos.penInfos(4).dateTime='2017-08-16_16-44-49'; % PEN 4
        subjectInfos.penInfos(4).V1Contacts.Depths=[]; 
        subjectInfos.penInfos(4).V4Contacts.Depths=-0.1438+.15*(0:15); % 
        subjectInfos.penInfos(5).dateTime='2017-08-16_18-21-16'; % PEN 5
        subjectInfos.penInfos(5).V1Contacts.Depths=-0.93281+.15*(0:15);
        subjectInfos.penInfos(5).V4Contacts.Depths=-0.3062+.15*(0:15); % 
        subjectInfos.penInfos(6).dateTime='2017-08-17_12-05-00'; % PEN 6
        subjectInfos.penInfos(6).V1Contacts.Depths=-1.0453+.15*(0:15);
        subjectInfos.penInfos(6).V4Contacts.Depths=-0.6062+.15*(0:15); % 
        subjectInfos.penInfos(7).dateTime='2017-08-23_12-28-24'; % PEN 7 
        subjectInfos.penInfos(7).V1Contacts.Depths=-1.1496+.15*(0:15);
        subjectInfos.penInfos(7).V4Contacts.Depths=-0.7187+.15*(0:15); % 
        subjectInfos.penInfos(8).dateTime='2017-08-17_12-51-15'; % PEN 8
        subjectInfos.penInfos(8).V1Contacts.Depths=-0.59102+.15*(0:15);
        subjectInfos.penInfos(8).V4Contacts.Depths=-0.5937+.15*(0:15); % 
        subjectInfos.penInfos(9).dateTime='2017-08-23_12-40-01'; % PEN 9
        subjectInfos.penInfos(9).V1Contacts.Depths=-1.0293+.15*(0:15);
        subjectInfos.penInfos(9).V4Contacts.Depths=-0.7562+.15*(0:15); % 
        subjectInfos.penInfos(10).dateTime='2017-09-07_13-30-24'; % PEN 10
        subjectInfos.penInfos(10).V1Contacts.Depths=-0.98906+.15*(0:15);
        subjectInfos.penInfos(10).V4Contacts.Depths=-0.5562+.15*(0:15); % 
        subjectInfos.penInfos(11).dateTime='2017-08-25_10-20-16'; % PEN 11
        subjectInfos.penInfos(11).V1Contacts.Depths=-1.5711+.15*(0:15);
        subjectInfos.penInfos(11).V4Contacts.Depths=-1.2063+.15*(0:15); % 
        subjectInfos.penInfos(12).dateTime='2017-08-25_09-37-10'; % PEN 12
        subjectInfos.penInfos(12).V1Contacts.Depths=-1.068+.15*(0:15);
        subjectInfos.penInfos(12).V4Contacts.Depths=-0.6062+.15*(0:15); % 
        subjectInfos.penInfos(13).dateTime='2017-08-29_13-42-45'; % PEN 14
        subjectInfos.penInfos(13).V1Contacts.Depths=-1.2867+.15*(0:15);
        subjectInfos.penInfos(13).V4Contacts.Depths=-0.7687+.15*(0:15); % 
        subjectInfos.penInfos(14).dateTime='2017-08-31_10-58-27'; % PEN 15
        subjectInfos.penInfos(14).V1Contacts.Depths=-1.3305+.15*(0:15);
        subjectInfos.penInfos(14).V4Contacts.Depths=-0.9312+.15*(0:15); % 
        subjectInfos.penInfos(15).dateTime='2017-09-07_14-09-17'; % PEN 16
        subjectInfos.penInfos(15).V1Contacts.Depths=-1.0676+.15*(0:15);
        subjectInfos.penInfos(15).V4Contacts.Depths=-0.9312+.15*(0:15); % 
        subjectInfos.penInfos(16).dateTime='2017-09-07_14-07-34'; % PEN 17
        subjectInfos.penInfos(16).V1Contacts.Depths=-1.0168+.15*(0:15);
        subjectInfos.penInfos(16).V4Contacts.Depths=-0.9062+.15*(0:15); % 
        subjectInfos.penInfos(17).dateTime='2017-08-03_14-38-16'; % PEN 18
        subjectInfos.penInfos(17).V1Contacts.Depths=-1.1496+.15*(0:15);
        subjectInfos.penInfos(17).V4Contacts.Depths=-0.1687+.15*(0:15); % 
        subjectInfos.penInfos(18).dateTime='2017-08-04_14-25-44'; % PEN 19
        subjectInfos.penInfos(18).V1Contacts.Depths=-1.057+.15*(0:15);
        subjectInfos.penInfos(18).V4Contacts.Depths=-0.8879+.15*(0:15); % 
        subjectInfos.penInfos(19).dateTime='2017-08-15_16-05-20'; % PEN 20
        subjectInfos.penInfos(19).V1Contacts.Depths=-1.0066+.15*(0:15); 
        subjectInfos.penInfos(19).V4Contacts.Depths=-0.8937+.15*(0:15); % 
        subjectInfos.penInfos(20).dateTime='2017-08-16_17-52-11'; % PEN 21
        subjectInfos.penInfos(20).V1Contacts.Depths=-1.027+.15*(0:15);
        subjectInfos.penInfos(20).V4Contacts.Depths=-1.0562+.15*(0:15); % 
        subjectInfos.penInfos(21).dateTime='2017-08-17_14-31-50'; % PEN 22
        subjectInfos.penInfos(21).V1Contacts.Depths=-0.70273+.15*(0:15);
        subjectInfos.penInfos(21).V4Contacts.Depths=-0.7312+.15*(0:15); % 
        subjectInfos.penInfos(22).dateTime='2017-08-25_09-44-38'; % PEN 23
        subjectInfos.penInfos(22).V1Contacts.Depths=[];
        subjectInfos.penInfos(22).V4Contacts.Depths=-0.4563+.15*(0:15); % 
        subjectInfos.penInfos(23).dateTime='2017-09-19_16-04-07'; % PEN 24
        subjectInfos.penInfos(23).V1Contacts.Depths=-1.0473+.15*(0:15);
        subjectInfos.penInfos(23).V4Contacts.Depths=-0.9062+.15*(0:15); % 
        subjectInfos.penInfos(24).dateTime='2017-09-25_13-18-58'; % PEN 25
        subjectInfos.penInfos(24).V1Contacts.Depths=-0.8832+.15*(0:15);
        subjectInfos.penInfos(24).V4Contacts.Depths=-0.9312+.15*(0:15); %  
        subjectInfos.penInfos(25).dateTime='2017-09-21_17-57-59'; % PEN 26
        subjectInfos.penInfos(25).V1Contacts.Depths=-1.243+.15*(0:15);
        subjectInfos.penInfos(25).V4Contacts.Depths=-1.0437+.15*(0:15); %  
        subjectInfos.penInfos(26).dateTime='2017-09-22_17-19-04'; % PEN 27
        subjectInfos.penInfos(26).V1Contacts.Depths=-1.0574+.15*(0:15);
        subjectInfos.penInfos(26).V4Contacts.Depths=-1.1812+.15*(0:15); %  
        subjectInfos.penInfos(27).dateTime='2017-10-09_12-02-05'; % PEN 28
        subjectInfos.penInfos(27).V1Contacts.Depths=-1.2539+.15*(0:15);
        subjectInfos.penInfos(27).V4Contacts.Depths=-1.1812+.15*(0:15); %  
        subjectInfos.penInfos(28).dateTime='2017-10-02_12-56-39'; % PEN 29
        subjectInfos.penInfos(28).V1Contacts.Depths=-1.0879+.15*(0:15);
        subjectInfos.penInfos(28).V4Contacts.Depths=-1.0312+.15*(0:15); %  
        subjectInfos.penInfos(29).dateTime='2017-10-03_15-36-18'; % PEN 30
        subjectInfos.penInfos(29).V1Contacts.Depths=-1.3723+.15*(0:15);
        subjectInfos.penInfos(29).V4Contacts.Depths=-1.1812+.15*(0:15); %  
        subjectInfos.penInfos(30).dateTime='2017-10-04_16-57-23'; % PEN 31
        subjectInfos.penInfos(30).V1Contacts.Depths=-0.84844+.15*(0:15);
        subjectInfos.penInfos(30).V4Contacts.Depths=-1.1812+.15*(0:15); %  
        subjectInfos.penInfos(31).dateTime='2017-10-05_16-29-41'; % PEN 32
        subjectInfos.penInfos(31).V1Contacts.Depths=-1.2082+.15*(0:15);
        subjectInfos.penInfos(31).V4Contacts.Depths=-1.1812+.15*(0:15); %  
        subjectInfos.penInfos(32).dateTime='2017-10-06_17-02-05'; % PEN 33
        subjectInfos.penInfos(32).V1Contacts.Depths=-1.1555+.15*(0:15);
        subjectInfos.penInfos(32).V4Contacts.Depths=-1.2187+.15*(0:15); %  
        
    
        %% DEFAULT FORMAT INITIALIZATION
        for jj=1:length(subjectInfos.penIDs)
            subjectInfos.penInfos(jj).penNum=subjectInfos.penIDs(jj);
            subjectInfos.penInfos(jj).grcNum=subjectInfos.grcIDs(jj);
            subjectInfos.penInfos(jj).V1Contacts.Channels=1:16;
            subjectInfos.penInfos(jj).V4Contacts.Channels=17:32;
            subjectInfos.penInfos(jj).V1Contacts.ChRejected=[];
            subjectInfos.penInfos(jj).V1Contacts.ChSNRLowEq3=[];
            subjectInfos.penInfos(jj).V4Contacts.ChRejected=[];
            subjectInfos.penInfos(jj).V4Contacts.ChSNRLowEq3=[];
            subjectInfos.penInfos(jj).V1Contacts.Quality='OK';
            subjectInfos.penInfos(jj).V4Contacts.Quality='OK';
            
            %% ORIGINAL FILENAMES (DEPRECATED)
            %subjectInfos.penInfos(jj).originalFilePaths.lfpFilePath=[startPath1(1:end-28) 'Taylor/PEN' num2str(subjectInfos.penIDs(jj)) '/NLX_control/' subjectInfos.penInfos(jj).dateTime '/'];
            %subjectInfos.penInfos(jj).originalFilePaths.ctxFileName=[startPath1(1:end-28) 'Taylor/PEN' num2str(subjectInfos.penIDs(jj)) '/Cortex/GRCJDRU1.' num2str(subjectInfos.grcIDs(jj))];
            %subjectInfos.penInfos(jj).originalFilePaths.eventFileName=[subjectInfos.penInfos(jj).originalFilePaths.lfpFilePath 'Events.nev'];
            %subjectInfos.penInfos(jj).originalFilePaths.cscFilePath=subjectInfos.penInfos(jj).originalFilePaths.lfpFilePath;
            
            %% SELECTED TIME WINS FILE PATHS
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V1Contacts.LFPs=[startPath 'M2 V1 - LFP/Taylor_V1_LFP_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V4Contacts.LFPs=[startPath 'M2 V4 - LFP/Taylor_V4_LFP_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V1Contacts.MUAs=[startPath 'M2 V1 - MUA/Taylor_V1_MUA_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            subjectInfos.penInfos(jj).selectedTimeWinsFilePaths.V4Contacts.MUAs=[startPath 'M2 V4 - MUA/Taylor_V4_MUA_PEN' num2str(subjectInfos.penIDs(jj)) '_sorted.mat'];
            
            %% LAMINAR LAYER LABELS ASSIGNMENT
            if  ~isempty(subjectInfos.penInfos(jj).V1Contacts.Depths)
                [~,minV1Ch]=min((subjectInfos.penInfos(jj).V1Contacts.Depths).^2);
                subjectInfos.penInfos(jj).V1Contacts.LaminarAlignments=(1:16)-minV1Ch;
            end
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers((subjectInfos.penInfos(jj).V1Contacts.Depths>1))={'TS'}; % TOO SUPERFICIAL
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>.25).*(subjectInfos.penInfos(jj).V1Contacts.Depths<=1)))={'S'};  % SUPRAGRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>=-.25).*(subjectInfos.penInfos(jj).V1Contacts.Depths<=.25)))={'G'}; % GRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V1Contacts.Depths>=-.75).*(subjectInfos.penInfos(jj).V1Contacts.Depths<-.25)))={'I'}; % INFRAGRANULAR
            subjectInfos.penInfos(jj).V1Contacts.LaminarLayers((subjectInfos.penInfos(jj).V1Contacts.Depths<-.75))={'TD'}; % TOO DEEP
            
            if  ~isempty(subjectInfos.penInfos(jj).V4Contacts.Depths)
                [~,minV4Ch]=min((subjectInfos.penInfos(jj).V4Contacts.Depths).^2);
                subjectInfos.penInfos(jj).V4Contacts.LaminarAlignments=(1:16)-minV4Ch;
            end
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers((subjectInfos.penInfos(jj).V4Contacts.Depths>1))={'TS'}; % TOO SUPERFICIAL
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>.1).*(subjectInfos.penInfos(jj).V4Contacts.Depths<=1)))={'S'};  % SUPRAGRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>=-.1).*(subjectInfos.penInfos(jj).V4Contacts.Depths<=.1)))={'G'}; % GRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers(logical((subjectInfos.penInfos(jj).V4Contacts.Depths>=-.75).*(subjectInfos.penInfos(jj).V4Contacts.Depths<-.1)))={'I'}; % INFRAGRANULAR
            subjectInfos.penInfos(jj).V4Contacts.LaminarLayers((subjectInfos.penInfos(jj).V4Contacts.Depths<-.75))={'TD'}; % TOO DEEP
            
        end
        
        
                %% COLOR ORDERS [RF, OUT1, OUT2]
        subjectInfos.penInfos(1).grcColorOrder='RBG'; % PEN 1
        subjectInfos.penInfos(2).grcColorOrder='GRB'; % PEN 2
        subjectInfos.penInfos(3).grcColorOrder='GBR'; % PEN 3
        subjectInfos.penInfos(4).grcColorOrder='BRG'; % PEN 4
        subjectInfos.penInfos(5).grcColorOrder='BGR'; % PEN 5
        subjectInfos.penInfos(6).grcColorOrder='RGB'; % PEN 6
        subjectInfos.penInfos(7).grcColorOrder='RBG'; % PEN 7
        subjectInfos.penInfos(8).grcColorOrder='GRB'; % PEN 8
        subjectInfos.penInfos(9).grcColorOrder='GBR'; % PEN 9
        subjectInfos.penInfos(10).grcColorOrder='BRG'; % PEN 10
        subjectInfos.penInfos(11).grcColorOrder='BGR'; % PEN 11
        subjectInfos.penInfos(12).grcColorOrder='RGB'; % PEN 12
        subjectInfos.penInfos(13).grcColorOrder='GRB'; % PEN 14
        subjectInfos.penInfos(14).grcColorOrder='GBR'; % PEN 15
        subjectInfos.penInfos(15).grcColorOrder='BRG'; % PEN 16
        subjectInfos.penInfos(16).grcColorOrder='BGR'; % PEN 17
        subjectInfos.penInfos(17).grcColorOrder='RGB'; % PEN 18
        subjectInfos.penInfos(18).grcColorOrder='RBG'; % PEN 19
        subjectInfos.penInfos(19).grcColorOrder='GRB'; % PEN 20
        subjectInfos.penInfos(20).grcColorOrder='GBR'; % PEN 21
        subjectInfos.penInfos(21).grcColorOrder='BRG'; % PEN 22
        subjectInfos.penInfos(22).grcColorOrder='BGR'; % PEN 23
        subjectInfos.penInfos(23).grcColorOrder='RGB'; % PEN 24
        subjectInfos.penInfos(24).grcColorOrder='RBG'; % PEN 25
        subjectInfos.penInfos(25).grcColorOrder='GRB'; % PEN 26
        subjectInfos.penInfos(26).grcColorOrder='GBR'; % PEN 27
        subjectInfos.penInfos(27).grcColorOrder='BRG'; % PEN 28
        subjectInfos.penInfos(28).grcColorOrder='BGR'; % PEN 29
        subjectInfos.penInfos(29).grcColorOrder='RGB'; % PEN 30
        subjectInfos.penInfos(30).grcColorOrder='RBG'; % PEN 31
        subjectInfos.penInfos(31).grcColorOrder='GRB'; % PEN 32
        subjectInfos.penInfos(32).grcColorOrder='GBR'; % PEN 33
        
        %% CHANNEL RE-ARRANGEMENT/REJECTION ISSUES
        
        subjectInfos.penInfos(1).V1Contacts.Quality='UNCERTAIN'; % PEN 1
        subjectInfos.penInfos(1).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(1).V1Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(1).V4Contacts.ChSNRLowEq3=1:16;
        subjectInfos.penInfos(2).V4Contacts.Quality='NO V4 DATA'; % PEN 2
        subjectInfos.penInfos(2).V4Contacts.Channels=[];
        subjectInfos.penInfos(2).V1Contacts.ChSNRLowEq3=[15,16];
        subjectInfos.penInfos(3).V4Contacts.Quality='UNCERTAIN'; % PEN 3
        subjectInfos.penInfos(3).V1Contacts.ChSNRLowEq3=[1:4 13:16];
        subjectInfos.penInfos(3).V4Contacts.ChSNRLowEq3=[13,14,15,16];
        subjectInfos.penInfos(4).V1Contacts.Quality='NO V1 DATA'; % PEN 4
        subjectInfos.penInfos(4).V1Contacts.Channels=[];
        subjectInfos.penInfos(4).V4Contacts.ChSNRLowEq3=[14,15,16];
        subjectInfos.penInfos(5).V1Contacts.ChSNRLowEq3=13:16; % PEN 5
        subjectInfos.penInfos(5).V4Contacts.ChSNRLowEq3=9:16;
        subjectInfos.penInfos(6).V1Contacts.ChSNRLowEq3=[1 2 15 16]; % PEN 6
        subjectInfos.penInfos(6).V4Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(7).V1Contacts.Quality='UNCERTAIN'; % PEN 7
        subjectInfos.penInfos(7).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(7).V4Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(8).V1Contacts.Quality='BAD'; % PEN 8
        subjectInfos.penInfos(8).V1Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(8).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(9).V1Contacts.ChSNRLowEq3=12:16; % PEN 9
        subjectInfos.penInfos(9).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(10).V1Contacts.Quality='UNCERTAIN'; % PEN 10
        subjectInfos.penInfos(10).V1Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(10).V4Contacts.Quality='UNCERTAIN';
        subjectInfos.penInfos(10).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(11).V1Contacts.Quality='UNCERTAIN'; % PEN 11
        subjectInfos.penInfos(11).V1Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(11).V4Contacts.Quality='UNCERTAIN';
        subjectInfos.penInfos(11).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(12).V1Contacts.ChSNRLowEq3=15:16; % PEN 12
        subjectInfos.penInfos(12).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(13).V1Contacts.Quality='UNCERTAIN'; % PEN 14
        subjectInfos.penInfos(13).V1Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(13).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(14).V1Contacts.ChSNRLowEq3=15:16; % PEN 15
        subjectInfos.penInfos(14).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(15).V1Contacts.ChSNRLowEq3=16; % PEN 16
        subjectInfos.penInfos(15).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(16).V1Contacts.ChSNRLowEq3=14:16; % PEN 17
        subjectInfos.penInfos(16).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(17).V4Contacts.Quality='UNCERTAIN'; % PEN 18
        subjectInfos.penInfos(17).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(17).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(18).V4Contacts.Quality='BAD'; % PEN 19
        subjectInfos.penInfos(18).V4Contacts.ChRejected=1:3;
        subjectInfos.penInfos(18).V1Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(18).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(19).V1Contacts.ChSNRLowEq3=14:16; % PEN 20
        subjectInfos.penInfos(19).V4Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(20).V1Contacts.ChSNRLowEq3=14:16; % PEN 21
        subjectInfos.penInfos(20).V4Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(21).V1Contacts.Quality='UNCERTAIN'; % PEN 22
        subjectInfos.penInfos(21).V1Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(21).V4Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(22).V1Contacts.Quality='NO V1 DATA'; % PEN 23
        subjectInfos.penInfos(22).V1Contacts.Channels=[];
        subjectInfos.penInfos(22).V4Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(23).V1Contacts.Quality='UNCERTAIN'; % PEN 24
        subjectInfos.penInfos(23).V1Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(23).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(24).V1Contacts.ChSNRLowEq3=12:16; % PEN 25
        subjectInfos.penInfos(24).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(25).V1Contacts.ChSNRLowEq3=15:16; % PEN 26
        subjectInfos.penInfos(25).V4Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(26).V4Contacts.Quality='UNCERTAIN'; % PEN 27
        subjectInfos.penInfos(26).V1Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(26).V4Contacts.ChSNRLowEq3=11:16;
        subjectInfos.penInfos(27).V4Contacts.Quality='BAD'; % PEN 28
        subjectInfos.penInfos(27).V1Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(27).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(28).V4Contacts.Quality='UNCERTAIN'; % PEN 29
        subjectInfos.penInfos(28).V1Contacts.ChSNRLowEq3=14:16;
        subjectInfos.penInfos(28).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(29).V4Contacts.Quality='BAD'; % PEN 30
        subjectInfos.penInfos(29).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(29).V4Contacts.ChSNRLowEq3=11:16;
        subjectInfos.penInfos(30).V4Contacts.Quality='BAD'; % PEN 31
        subjectInfos.penInfos(30).V1Contacts.ChSNRLowEq3=13:16;
        subjectInfos.penInfos(30).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(31).V1Contacts.Quality='UNCERTAIN'; % PEN 32
        subjectInfos.penInfos(31).V1Contacts.ChSNRLowEq3=16;
        subjectInfos.penInfos(31).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(31).V4Contacts.ChSNRLowEq3=12:16;
        subjectInfos.penInfos(32).V1Contacts.Quality='UNCERTAIN'; % PEN 33
        subjectInfos.penInfos(32).V1Contacts.ChSNRLowEq3=15:16;
        subjectInfos.penInfos(32).V4Contacts.Quality='BAD';
        subjectInfos.penInfos(32).V4Contacts.ChSNRLowEq3=[10,12:16];
        
        for jj=1:length(subjectInfos.penIDs)
            subjectInfos.penInfos(jj).V1Contacts.SelectedChs=subjectInfos.penInfos(jj).V1Contacts.Channels;
            if ~isempty(subjectInfos.penInfos(jj).V1Contacts.SelectedChs)
            subjectInfos.penInfos(jj).V1Contacts.SelectedChs(unique([find(subjectInfos.penInfos(jj).V1Contacts.Depths<=-.75 | subjectInfos.penInfos(jj).V1Contacts.Depths>=1) ...
                subjectInfos.penInfos(jj).V1Contacts.ChSNRLowEq3 subjectInfos.penInfos(jj).V1Contacts.ChRejected]))=[];
            end
            subjectInfos.penInfos(jj).V4Contacts.SelectedChs=subjectInfos.penInfos(jj).V4Contacts.Channels;
            if ~isempty(subjectInfos.penInfos(jj).V4Contacts.SelectedChs)
            subjectInfos.penInfos(jj).V4Contacts.SelectedChs(unique([find(subjectInfos.penInfos(jj).V4Contacts.Depths<=-.75 | subjectInfos.penInfos(jj).V4Contacts.Depths>=1) ...
                subjectInfos.penInfos(jj).V4Contacts.ChSNRLowEq3 subjectInfos.penInfos(jj).V4Contacts.ChRejected]))=[];
            end
        end
    otherwise
        error(['The Selected Subject name "' sSubjectName '" is not valid.']);
end

end
